<?php

class Person
{
    public function __construct(
        public string $personName,
        public int $bootcampScore,
        public int $onlineContestScore,
        public int $inpersonContestScore,
        public float $passionRate,
    ) {
    }

    public function calculateTotalScore(): float
    {
        return ($this->bootcampScore * 0.15) +
            ($this->onlineContestScore * 0.25) +
            ($this->inpersonContestScore * 0.5) +
            ($this->passionRate * 0.1);
    }

    public function displayInfo(): string
    {
        $result = "Person Name: " . $this->personName . "\n";
        $result .= "Bootcamp Score: " . $this->bootcampScore . "\n";
        $result .= "Online Contest Score: " . $this->onlineContestScore . "\n";
        $result .= "In-person Contest Score: " . $this->inpersonContestScore . "\n";
        $result .= "Passion Rate: " . $this->passionRate . "\n";
        $result .= "Total Weighted Score: " . $this->calculateTotalScore() . "\n";
        $result .= "- - - - - - - - - - - - -\n";

        return $result;
    }
}

function handleCeremony(array $personsArray): string
{
    // TODO: Implement
}
